// Start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// General information section.
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// $Author:yongkiang$ User who last changed the file
// $Date:1/2/2013 12:16:08 PM$ Date and time of last check in
// $Revision:1.0$ Visual SourceSafe version number
// $Workfile::   DatalogLotMsgPage.h                                   $ Filename
// End =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// {{AFX_INCLUDES()
#include "MyPropertyPage.h"
#include "ShadeButtonST.h"
#include "ShadeCheckButtonST.h"

// }}AFX_INCLUDES
#if !defined(AFX_DATALOGLOTMSGPAGE_H__58E5AA53_9DD6_11D6_A811_005004C029CA__INCLUDED_)
#define AFX_DATALOGLOTMSGPAGE_H__58E5AA53_9DD6_11D6_A811_005004C029CA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DatalogLotMsgPage.h : header file
//
#ifdef  BUILD_GUIDLL
#define     DLLCLASS    __declspec(dllexport)
#else
#define     DLLCLASS    __declspec(dllimport)
#endif

/////////////////////////////////////////////////////////////////////////////
// CDatalogLotMsgPage dialog

class DLLCLASS CDatalogLotMsgPage : public CMyPropertyPage // public CPropertyPage
{
DECLARE_DYNCREATE(CDatalogLotMsgPage)

// Construction
public:
    virtual void SetPagesTabText();
    void         SetSelectionInfo(CStringArray *csaLotNumber, CArray<double, double> *daStartDateTime, BOOL bCombine = FALSE);
    CDatalogLotMsgPage();
    ~CDatalogLotMsgPage();

// Dialog Data
// {{AFX_DATA(CDatalogLotMsgPage)
    enum {
        IDD = IDD_DATALOG_LOT_MSG_PAGE
    };
    CShadeCheckButtonST m_statisticsBtn;
    CShadeButtonST      m_fileBtn;
    CShadeButtonST      m_pageSetupBtn;
    CShadeButtonST      m_printBtn;
    CListCtrl           m_listCtrl;
    BOOL                m_bViewStatistic;
// }}AFX_DATA

// Overrides
// ClassWizard generate virtual function overrides
// {{AFX_VIRTUAL(CDatalogLotMsgPage)
public:
    virtual BOOL OnSetActive();
    virtual BOOL OnKillActive();
protected:
    virtual void DoDataExchange(CDataExchange* pDX); // DDX/DDV support
// }}AFX_VIRTUAL

// Implementation
protected:
// Generated message map functions
// {{AFX_MSG(CDatalogLotMsgPage)
    virtual BOOL    OnInitDialog();
    afx_msg void    OnLogLotmsgViewStatistics();
    afx_msg void    OnPrintButton();
    afx_msg void    OnPageSetupButton();
    afx_msg void    OnFileButton();
    afx_msg LRESULT OnQuery(WPARAM wp, LPARAM lp);
    afx_msg void    OnColumnclickListCtrl(NMHDR* pNMHDR, LRESULT* pResult);
// }}AFX_MSG
    DECLARE_MESSAGE_MAP()

private:
    void ClearArray(void);
    void DisplayIn2ndLang();
    void DeleteViewStat();
    void DeleteViewMsg();
    void UpdateMessageStatisticsItems();
    void DisplayMessageStatisticsToListBox();
    void UpdateMessageItems();
    void DisplayMessageToListBox();
    void InitIconButtons();
// CMainDoc* m_pDoc;
// CFont m_fontLogo;
    CString m_strAscendDescend;
    CString m_strSortFieldType;
    CString m_strSortFieldTypeStat;
    BOOL    bAscend;
    int     nCurrentSubItem;

    CStringArray           m_csaLotNumber;
    CArray<double, double> m_daStartDateTime;
    int                    m_nCurrentIndex;

    BOOL m_bCombineLot; // true = combine lot, false = indiviual lot
};

// {{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DATALOGLOTMSGPAGE_H__58E5AA53_9DD6_11D6_A811_005004C029CA__INCLUDED_)
